#include <LiquidCrystal_I2C.h> подключил либу lcd 1602 i2c
LiquidCrystal_I2C lcd(0x27, 16, 2); // задаём параметры экрана
#include <max6675.h>
int TempBottom;
int SetTempBottom;
int PinBottom = 6;
int thermoDO = 12;
int thermoCLK = 10;
int thermoCS_b = 11;
int PinPlus = 0;
int PinMinus = 1;
int PeriodReadTemp = 0;
MAX6675 thermocouple_b(thermoCLK, thermoCS_b, thermoDO);
const byte DESIRED_WIDTH = 3;
void setup() {
  
  // Serial.begin(9600);
 
 lcd.init();//инициализируем дисплей
 lcd.backlight();//включаем подсветку дисплея
 
  SetTempBottom = 0;
  pinMode(PinPlus, INPUT);
  pinMode(PinMinus, INPUT);
  digitalWrite(PinPlus, HIGH);
  digitalWrite(PinMinus, HIGH);
  pinMode(PinBottom, OUTPUT);
  digitalWrite(PinBottom, LOW);
  lcd.begin(16, 2);
  lcd.clear();
  lcd.setCursor(0, 0);
  lcd.print("ALEXSEY  JUYCKOV");
  lcd.setCursor(1, 1);
  lcd.print("BOTTOM  HEATER");
  delay(3000);
  lcd.clear();
}
String addZeroes(const String& src, byte pad)
{
if(src.length() >= pad)
 return src;
String result;
byte add = pad - src.length();
while(add--)
 result += "0";
result += src;
return result;
}
void loop() {
  lcd.setCursor(0, 0);
  lcd.print("HEATING  CONTROL");
  PeriodReadTemp++;
  if (PeriodReadTemp == 200) {
  TempBottom = thermocouple_b.readCelsius();
  PeriodReadTemp = 0;
  }
  lcd.setCursor(0, 1);
  lcd.print("FACT "+(addZeroes(String(TempBottom),DESIRED_WIDTH)));
  lcd.setCursor(9, 1);
  lcd.print("INS "+(addZeroes(String(SetTempBottom),DESIRED_WIDTH)));
  if (digitalRead(PinPlus) == LOW) {
    SetTempBottom++;
    delay(100);
  }
  if (digitalRead(PinMinus) == LOW) {
    SetTempBottom--;
    delay(100);
  }
  if (SetTempBottom <=0) {
    SetTempBottom = 0;
  }
  if (SetTempBottom > 500) {
    SetTempBottom = 500;
  }
  if (SetTempBottom > TempBottom) {
   digitalWrite(PinBottom,HIGH);  
  }
  if (SetTempBottom <= TempBottom) {
   digitalWrite(PinBottom,LOW);  
  }
  }
